Summary:   Base component for comex project
Name:      comex-base
Version:   0.1.7.0
Release:   2%{?dist}
License:   GPLv2
Group:     Applications/Productivity
Source0:   http://comex-project.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:   mono.snk
#Source1:   https://raw.github.com/mono/mono/master/mcs/class/mono.snk
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
URL:       http://comex-project.googlecode.com/
# BuildArch: noarch

ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 %{arm} sparcv9 alpha s390x

# don't generate debug file because is empty
%define debug_package %{nil}

BuildRequires: mono-core >= 1.2.3
BuildRequires: log4net-devel
BuildRequires: pkgconfig

Requires: mono-core >= 1.2.3
Requires: log4net
Requires: pcsc-lite
Requires: pcsc-lite-libs
# pcsc-lite-devel required because contain /usr/lib/libpcsclite.so
# not contained in to pcsc-lite-libs
Requires: pcsc-lite-devel


%description
Is base component of a simple application that can be used to exchange
data with smartcards using PC/SC standard readers or smartmouse
phoenix serial reader.

%package devel
Summary:	Base component for comex project
Group:		Applications/Productivity
Requires:	%{name} = %{version}
Requires:	pkgconfig

%description devel
Is base component of a simple application that can be used to exchange
data with smartcards using PC/SC standard readers or smartmouse
phoenix serial reader.


%prep
%setup -q

%build
# Use the mono system key instead of generating our own here.
%if 0%{?fedora} < 13
  # Use mono.snk from patch file
  cp -f %{SOURCE1} comex-base/comex-base.snk
%else
  # Use system mono.snk key
  cp -f /etc/pki/mono/mono.snk comex-base/comex-base.snk
%endif
%configure
make %{?_smp_mflags}

%install
rm -fr %{buildroot}
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_libdir}/mono/gac/
gacutil -i %{buildroot}%{_libdir}/%{name}/comex-base.dll \
        -f \
        -package %{name} \
        -root %{buildroot}%{_libdir}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc copying.gpl comex-base/Docs/readme
%{_libdir}/mono/gac/
%{_libdir}/mono/comex-base
%{_libdir}/%{name}/
%{_datadir}/%{name}/Languages/

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/%{name}.pc




%changelog
* Thu Sep 01 2011 Armando Basile <hmandevteam@gmail.com> 0.1.7.0-2.fc16
- first public release
- add pcsc dependency
- add ExclusiveArch

